//****************************************************//
//									//
//	siege.shader for GTKRadiant			//
//	by Amethyst7 - 06.12.2001				//
//									//
//****************************************************//

textures/6flags/skybox/skybox
{
	qer_editorimage textures/6flags/skybox/siege
	surfaceparm noimpact
	surfaceparm nolightmap
//	q3map_sun 1.00 1.00 0.965 75 199 49
//	q3map_surfacelight 50
	q3map_sun 1.00 1.00 0.965 110 199 49
	q3map_surfacelight 70
	skyparms textures/6flags/skybox/siege - -
	{
		map textures/6flags/skybox/clouds.jpg
		blendFunc filter
		tcMod scroll 0.005 0.005
		tcMod scale 2 2
	}
}

textures/6flags/blue_flag
{
	cull disable
	nomipmaps
	nopicmip
	deformVertexes wave 100 sin 0 2 0 .3
	deformVertexes wave 30 sin 0 2 0 .1
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	tessSize 64
	implicitBlend -
}

textures/6flags/debri_m05
{
	surfaceparm gravelsteps
	surfaceparm landmine	
	implicitMap -
}

textures/6flags/germancross
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	tessSize 64
	implicitBlend -
}

textures/6flags/ivy_c01
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	tessSize 64
	implicitBlend -
}

textures/6flags/red_flag
{
	cull disable
	nomipmaps
	nopicmip
	deformVertexes wave 100 sin 0 2 0 .3
	deformVertexes wave 30 sin 0 2 0 .1
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	tessSize 64
	implicitBlend -
}

textures/6flags/translucent_blue
{
	qer_editorimage textures/common/dirtymirror.tga
	cull none
	surfaceparm glass
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.5
		tcgen environment
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 0.6 0.6 1.0 )
	}
}

// ======================================================================
// DotProduct2 Terrain blending
// ======================================================================
textures/6flags/ter_dirtmud
{
      qer_editorimage textures/6flags/ter_dirtmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/6flags/ter_dirt1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/6flags/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/6flags/ter_grassmoss
{
      qer_editorimage textures/6flags/ter_grassmoss.tga
	
	surfaceparm grasssteps

	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/6flags/grass_dense_ac.tga	// Primary
		rgbGen identity
	}
	{
		map textures/6flags/ter_moss1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/6flags/ter_grassmud
{
      qer_editorimage textures/6flags/ter_grassmud.tga
	
	surfaceparm gravelsteps

	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/6flags/grass_dense_ac.tga	// Primary
		rgbGen identity
	}
	{
		map textures/6flags/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/6flags/ter_mossmud
{
      qer_editorimage textures/6flags/ter_mossmud.tga
	
	surfaceparm grasssteps

	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/6flags/ter_moss1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/6flags/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/6flags/ter_rockmud
{
      qer_editorimage textures/6flags/ter_rockmud.tga
	
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/temperate_sd/rock_graynoise.tga	// Primary
		rgbGen identity
	}
	{
		map textures/6flags/ter_mud1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// Hong Phonged textures
// ======================================================================
textures/6flags/ter_rock2
{
	q3map_nonplanar
	q3map_shadeangle 120
      qer_editorimage textures/6flags/ter_rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/ter_rock2.tga
		blendFunc filter
	}
}

// ======================================================================
// Alpha blending without dotProduct2 and ivector
// ======================================================================
textures/6flags/bld_rock2moss1		// Normal texture blending
{
      qer_editorimage textures/6flags/bld_rock2moss1.tga
	
	q3map_nonplanar
	q3map_shadeAngle 120
	
	{
		map textures/6flags/ter_rock2.tga	// Primary
		rgbGen identity
	}
	{
		map textures/6flags/ter_moss1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/6flags/dcl_moss1		// Decal blending
{
        qer_editorimage textures/6flags/ter_moss1.tga
	q3map_nonplanar 
	q3map_shadeangle 120 
	surfaceparm trans 
	surfaceparm nonsolid 
	surfaceparm nomarks
	polygonoffset
	{
		map textures/6flags/ter_moss1.tga
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		depthFunc equal
	}
}

// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/6flags/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/6flags/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/6flags/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/6flags/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/6flags/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/6flags/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/6flags/light_m20_5000
{
	qer_editorimage textures/6flags/light_m20.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
}

textures/6flags/light_xlight_03_2500
{
	qer_editorimage textures/6flags/light_xlight_03.tga
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_03.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/6flags/light_xlight_700
{
	qer_editorimage textures/6flags/light_xlight_02.tga
	q3map_surfacelight 700
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/6flags/light_xlight_750
{
	qer_editorimage textures/6flags/light_xlight_01.tga
	q3map_surfacelight 750
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_01.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/6flags/light_xlight_1500
{
	qer_editorimage textures/6flags/light_xlight_02.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/6flags/light_xlight_2500
{
	qer_editorimage textures/6flags/light_xlight_02.tga
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/6flags/light_xlight_4000
{
	qer_editorimage textures/6flags/light_xlight_02.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/6flags/light_xlight_5500
{
	qer_editorimage textures/6flags/light_xlight_02.tga
	q3map_surfacelight 5500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/6flags/light_xlight3_4000
{
	qer_editorimage textures/6flags/light_xlight_03.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/6flags/light_xlight3_5500
{
	qer_editorimage textures/6flags/light_xlight_03.tga
	q3map_surfacelight 5500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/6flags/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}